Package com.independentsoft.office.odf.styles

# Enum Class FontWeight

java.lang.Object
java.lang.Enum<FontWeight>
com.independentsoft.office.odf.styles.FontWeight

All Implemented Interfaces:
  `Serializable`, `Comparable<FontWeight>`, `Constable`

public enum FontWeight extends Enum<FontWeight>
Represents font weight.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOLD`
  Bold font weight.
  `NONE`
  None
  `NORMAL`
  Normal font weight.
  `WEIGHT_100`
  100 font weight.
  `WEIGHT_200`
  `WEIGHT_300`
  300 font weight.
  `WEIGHT_400`
  400 font weight.
  `WEIGHT_500`
  500 font weight.
  `WEIGHT_600`
  600 font weight.
  `WEIGHT_700`
  700 font weight.
  `WEIGHT_800`
  800 font weight.
  `WEIGHT_900`
  900 font weight.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FontWeight`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FontWeight[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORMAL

    public static final FontWeight NORMAL
    Normal font weight.

  - ### BOLD

    public static final FontWeight BOLD
    Bold font weight.

  - ### WEIGHT_100

    public static final FontWeight WEIGHT_100
    100 font weight.

  - ### WEIGHT_200

    public static final FontWeight WEIGHT_200

  - ### WEIGHT_300

    public static final FontWeight WEIGHT_300
    300 font weight.

  - ### WEIGHT_400

    public static final FontWeight WEIGHT_400
    400 font weight.

  - ### WEIGHT_500

    public static final FontWeight WEIGHT_500
    500 font weight.

  - ### WEIGHT_600

    public static final FontWeight WEIGHT_600
    600 font weight.

  - ### WEIGHT_700

    public static final FontWeight WEIGHT_700
    700 font weight.

  - ### WEIGHT_800

    public static final FontWeight WEIGHT_800
    800 font weight.

  - ### WEIGHT_900

    public static final FontWeight WEIGHT_900
    900 font weight.

  - ### NONE

    public static final FontWeight NONE
    None

- ## Method Details

  - ### values

    public static FontWeight[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FontWeight valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null